Core - Bug # 56933

Epic # 55070 (Accepted): Workpackages

Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)

Bug # 52949 (Resolved): Speed decrease since 4.5

Bug # 56307 (Accepted): Findings from Bootstrap/PackageManager/ClassLoader analyses

Status: Resolved Priority: Should have
Author: Thomas Maroschik Category:

Created: 2014-03-15 Assigned To: Thomas Maroschik
Updated: 2014-03-20 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Cached class loader misses are not considered on retrieval

Description

The class loader caches if he didn't find a class name for subsequent calls. But currently it only checks for NULL results from the

cache and not the empty strings returned from the cache and thus tries to resolve the non existing class name over and over again.

Related issues:

related to Core - Bug # 57094: TCA eval 'int+' fails with a fatal error

related to Core - Bug # 57117: Class loader must handle information about inv...

Rejected 2014-03-20
Resolved 2014-03-20

Associated revisions

Revision 15df568f - 2014-03-20 18:30 - Thomas Maroschik

[BUGFIX] Cached class loader misses are not considered

The class loader caches if it doesn't find a class name
for subsequent calls. But currently it only checks for
NULL results from the cache and not the empty strings
returned from the cache and thus tries to resolve the

non existing class name over and over again.

The fix converts the empty string to a NULL and
changes the semantics of NULL to FALSE in the class
loader.

Fixes: #56933

Releases: 6.2

Change-Id: l4cd1a18b4a4496c287a937d6d9882ae21d3ee9a3
Reviewed-on: https://review.typo3.org/28419

Reviewed-by: Alexander Opitz
Tested-by: Alexander Opitz
Reviewed-by: Markus Klein
Tested-by: Markus Klein

Revision baebd056 - 2014-03-20 23:40 - Markus Klein
https://review.typo3.org/28419

[BUGFIX] Class loader handles information about invalid classes

Resolves: #57117

Related: #56933

Releases: 6.2

Change-Id: 1e305b808b0a9b9e10b5adcadaf9e2562cf5123f6
Reviewed-on: https://review.typo3.orq/28577

Reviewed-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision 274e7eea - 2014-03-21 11:32 - Helmut Hummel

[FOLLOWUP] Class loader handles invalid classes

The check if we have class information

can be simplified to lempty()

Resolves: #57117

Related: #56933

Releases: 6.2

Change-Id: 18532b26142cc39da2b9bccad880df715da57d59e
Reviewed-on: https://review.typo3.org/28596

Reviewed-by: Frans Saris
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Stefan Neufeind
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History

#1 - 2014-03-15 13:29 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28419

#2 - 2014-03-15 13:31 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28419

#3 - 2014-03-15 13:32 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28419
#4 - 2014-03-16 11:42 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28419

#5 - 2014-03-16 11:44 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28419

#6 - 2014-03-18 11:28 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28419

#7 - 2014-03-18 11:34 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28419

#8 - 2014-03-18 13:14 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28419

#9 - 2014-03-18 20:23 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28419

#10 - 2014-03-20 17:40 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28419

#11 - 2014-03-20 18:07 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28419

#12 - 2014-03-20 18:30 - Thomas Maroschik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:15df568fdddaaecd3851eb85c9ac4db3711b1368.
